Bug 902131 - RFE: Import and Export of translation memory
Summary: RFE: Import and Export of translation memory
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-API
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: 3.0
Assignee: Isaac Rooskov
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On: 960786 980659
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-21 01:38 UTC by Isaac Rooskov
Modified: 2015-08-06 05:54 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-27 03:25:37 UTC


Attachments (Terms of Use)
Sample TMX file (1.38 MB, application/octet-stream)
2013-05-17 02:16 UTC, Jack Reed
no flags Details

Description Isaac Rooskov 2013-01-21 01:38:56 UTC
Description of problem:
Add a new feature that will enable the import and export of translation memory. 

It would be good to be able to export the Zanata translation memory, and also be able to import translation memory from other programs. This will encourage the use of Zanata, as users will not have to start from scratch again. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Sean Flanigan 2013-01-22 00:57:19 UTC
To decide the scope of this RFE, we have to nail down the requirements.  Does this require the idea of content which appears only in translation memory, but not in a project/version in Zanata?  (Right now, TM is essentially just a view of all projects.)  Or do we need the concept of TM-only projects (or are they just read-only projects, which we already have)?

How does this relate to the idea of exporting and importing the entire Zanata database?  Or a subset of the database?  Would it include the entire history of translations and re-translations of a source string, and all the versions of source strings?

Comment 2 Sean Flanigan 2013-04-16 03:11:35 UTC
We probably need to import and export in TMX format, in which case you can ignore my second paragraph of questions above.

There's some useful TMX information from OmegaT here:
http://www.omegat.org/en/howtos/compatibility.html (See "Translation Memories")

and a little more here:
http://en.wikipedia.org/wiki/Translation_Memory_eXchange


Regarding TMX, we have a choice between Level 1 (no formatting) and Level 2 (with formatting) support.  I think we should just implement Level 1 to start with, especially as most of our current file types don't include formatting.  This should allow us to import Level 2 TMX files, by ignoring the formatting.

We still need to decide whether we want to store imported TMs in Zanata as "TM projects" (one or more of them). 

And as a feature note, we should probably allow the user to export the entire TM or a subset of projects to TMX.

Comment 4 Jack Reed 2013-05-17 02:16:16 UTC
Created attachment 749136 [details]
Sample TMX file

Thanks to Themis at Transifex, I've attached a sample TMX file for the Fedora "Burning ISO images to disc" guide.

Comment 5 Michelle Kim 2013-06-25 02:28:38 UTC
Acceptance Criteria for 3.1 from Isaac is as follows: 


Translation memory - Import/Export

- User interface option within settings to allow for the importing or exporting of TM

- User standard convention files format (TMX)

- Allow input of TMX format TMs.

- New entries should be added as own TM entity, with ability to merge into existing Zanata TM.

- Existing Zanata TM content is given preference over new content -by default - during TM merges.

- TM merge ability to have numerous options for potential conflicts

- Support TM input from other popular translation tools and formats (eg: Worldserver). We can continue to expand the support base of this over time.

Comment 6 Isaac Rooskov 2013-06-25 03:08:52 UTC
- Import TMX

- Keep TMs separate

- Indicate to user which TM that suggestions are coming from

Comment 9 Sean Flanigan 2013-09-10 00:10:50 UTC
Is there anything else we need to check with this one?

Comment 10 Damian Jansen 2013-09-10 00:19:33 UTC
This one is good to go, as far as I'm concerned.

Comment 11 Sean Flanigan 2013-11-27 03:16:14 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 12 Sean Flanigan 2013-11-27 03:17:15 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 13 Sean Flanigan 2013-11-27 03:19:37 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 14 Sean Flanigan 2013-11-27 03:25:37 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 15 Sean Flanigan 2013-11-27 03:34:26 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 16 Sean Flanigan 2013-11-27 03:36:35 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.